Class | Bio::Spidey::Report::Segment
In: | lib/bio/appl/spidey/report.rb
Parent: | Object

Segment informations of a segment pair.

### Methods

new

### Attributes

from | [R] | start position
seq | [R] | sequence data
strand | [R] | strand information
to | [R] | end position

### Public Class methods

new(pos_st, pos_ed, strand = nil, seq = nil)

Creates a new Segment object. It is designed to be called internally from Bio::Spidey::Report::* classes. Users shall not call it directly.

[Source]

         # File lib/bio/appl/spidey/report.rb, line 263
    263:         def initialize(pos_st, pos_ed, strand = nil, seq = nil)
    264:           @from   = pos_st ? pos_st.to_i : nil
    265:           @to     = pos_ed ? pos_ed.to_i : nil
    266:           @strand = strand
    267:           @seq    = seq
    268:         end

[Validate]